<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<META NAME="generator" CONTENT="http://txt2tags.org">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf8">
<LINK REL="stylesheet" TYPE="text/css" HREF="../../style/style.css">
</HEAD><BODY BGCOLOR="white" TEXT="black">
<CENTER>
</CENTER>


<H1>Determinando os formatos disponíveis para um vídeo no Youtube</H1>

<P>
<B><I>Colaboração: Paulo Roberto Bagatini</I></B>
</P>
<P>
<B><I>Data de Publicação: 10 de maio de 2013</I></B>
</P>
<P>
Para ver que formatos um determinado vídeo no YouTube tem disponível para download:
</P>

<PRE>
  $ youtube-dl -F -- -TzUgmmTiQc
</PRE>

<P>
Observem que basta usar o código do vídeo, não é necessária a URL inteira.
</P>
<P>
Isso também vale para os códigos das playlists:
</P>

<PRE>
  $ youtube-dl -F PLFCCF1CA488CE29A7
</PRE>

<P>
A propósito, o primeiro exemplo enfrenta um comportamento talvez pouco conhecido dos comandos, e o contorna: foi usado o "--" após o último parâmetro apenas porque o código do vídeo começa com "-", e portanto poderia ser confundido pelo comando com um parâmetro inválido.
</P>
<P>
Esse "parâmetro" especial "--" também está disponível nos outros comandos/scripts que usam a biblioteca/comando getopt para analisar o array de parâmetros.
</P>
<P>
Ele é necessário em várias situações, como para apagar um arquivo cujo nome comece com o caracter "-", por exemplo:
</P>

<PRE>
  $ rm -arquivo.txt
  rm: opção -- 'a' inválida
  Experimente "rm --help" para mais informações.
  $ rm -- -arquivo.txt 
</PRE>

<!-- html code generated by txt2tags 2.6 (http://txt2tags.org) -->
<!-- cmdline: txt2tags -t html -\-encoding=utf8 -\-style=../style/style.css dica.t2t -->
</BODY></HTML>
